$themes: (
    blue: (
        baseBackgroundImage: #f0f0f0,
        baseColorDark: #263238,
        baseColorMiddle: #37474f,
        baseColorLight: #ECEFF1,
        secondaryColorDark: #607d8b,
        secondaryColorLight: #ECEFF1,
        paneBackgroundColor: #fff,
        paneTextColor: #000,
        paneSecondaryBackgroundColor: rgba(236, 239, 241, 0.95)
    ),
    brown: (
        baseBackgroundImage: #f0f0f0,
        baseColorDark: rgb(54, 45, 40),
        baseColorMiddle: #37474f,
        baseColorLight: rgb(245, 234, 212),
        secondaryColorDark: #607d8b,
        secondaryColorLight: #ECEFF1,
        paneBackgroundColor: #fff,
        paneTextColor: #000,
        paneSecondaryBackgroundColor: rgba(236, 239, 241, 0.95)
    ),
);

$editionColors: (
    namedEntities: (
        personBase: #FFCDD2,
        personMiddle: #F8BBD0,
        personDarker: #F48FB1,
        placeBase: #C8E6C9,
        placeMiddle: #A5D6A7,
        placeDarker: #81C784,
        orgBase: #FFE0B2,
        orgMiddle: #FFCC80,
        orgDarker: #FFB74D
    )
);

@mixin themify($themes: $themes) {
    @each $theme, $map in $themes {
         &[data-theme="#{$theme}"] {
            $theme-map: () !global;
            @each $key, $submap in $map {
                $value: map-get(map-get($themes, $theme), '#{$key}');
                $theme-map: map-merge($theme-map, ($key: $value)) !global;
            }
            @content;
            $theme-map: null !global;
        }
    }
}
@function themed($key) {
    @return map-get($theme-map, $key);
}

@function map-fetch($map, $keys) {
    $key: nth($keys, 1);
    $length: length($keys);
    $value: map-get($map, $key);
    @if ($length > 1) {
        $rest: ();
        @for $i from 2 through $length {
            $rest: append($rest, nth($keys, $i));
        }
        @return map-fetch($value, $rest);
    } @else {
        @return $value;
    }
}
